curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-09/quotes/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/objects/2026-09/quotes/search"
payload = {
"after": "<string>",
"filterGroups": [{ "filters": [
{
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": ["<string>"]
}
] }],
"limit": 123,
"properties": ["<string>"],
"sorts": ["<string>"],
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
after: '<string>',
filterGroups: [
{
filters: [
{
propertyName: '<string>',
highValue: '<string>',
value: '<string>',
values: ['<string>']
}
]
}
],
limit: 123,
properties: ['<string>'],
sorts: ['<string>'],
query: '<string>'
})
};
fetch('https://api.hubapi.com/crm/objects/2026-09/quotes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/objects/2026-09/quotes/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'after' => '<string>',
'filterGroups' => [
[
'filters' => [
[
'propertyName' => '<string>',
'highValue' => '<string>',
'value' => '<string>',
'values' => [
'<string>'
]
]
]
]
],
'limit' => 123,
'properties' => [
'<string>'
],
'sorts' => [
'<string>'
],
'query' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/objects/2026-09/quotes/search"
payload := strings.NewReader("{\n \"after\": \"<string>\",\n \"filterGroups\": [\n {\n \"filters\": [\n {\n \"propertyName\": \"<string>\",\n \"highValue\": \"<string>\",\n \"value\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"limit\": 123,\n \"properties\": [\n \"<string>\"\n ],\n \"sorts\": [\n \"<string>\"\n ],\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/objects/2026-09/quotes/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"after\": \"<string>\",\n \"filterGroups\": [\n {\n \"filters\": [\n {\n \"propertyName\": \"<string>\",\n \"highValue\": \"<string>\",\n \"value\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"limit\": 123,\n \"properties\": [\n \"<string>\"\n ],\n \"sorts\": [\n \"<string>\"\n ],\n \"query\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/objects/2026-09/quotes/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"after\": \"<string>\",\n \"filterGroups\": [\n {\n \"filters\": [\n {\n \"propertyName\": \"<string>\",\n \"highValue\": \"<string>\",\n \"value\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"limit\": 123,\n \"properties\": [\n \"<string>\"\n ],\n \"sorts\": [\n \"<string>\"\n ],\n \"query\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>",
"warnings": [
{
"category": "<string>",
"context": {},
"message": "<string>"
}
]
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Search for quotes using specified criteria.
Ejecuta una búsqueda de cotizaciones basada en los criterios definidos en el cuerpo de la solicitud, tales como filtros, propiedades y opciones de ordenación. Este punto final permite realizar consultas detalladas de registros de cotizaciónes para recuperar conjuntos de datos específicos.
curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-09/quotes/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/objects/2026-09/quotes/search"
payload = {
"after": "<string>",
"filterGroups": [{ "filters": [
{
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": ["<string>"]
}
] }],
"limit": 123,
"properties": ["<string>"],
"sorts": ["<string>"],
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
after: '<string>',
filterGroups: [
{
filters: [
{
propertyName: '<string>',
highValue: '<string>',
value: '<string>',
values: ['<string>']
}
]
}
],
limit: 123,
properties: ['<string>'],
sorts: ['<string>'],
query: '<string>'
})
};
fetch('https://api.hubapi.com/crm/objects/2026-09/quotes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/objects/2026-09/quotes/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'after' => '<string>',
'filterGroups' => [
[
'filters' => [
[
'propertyName' => '<string>',
'highValue' => '<string>',
'value' => '<string>',
'values' => [
'<string>'
]
]
]
]
],
'limit' => 123,
'properties' => [
'<string>'
],
'sorts' => [
'<string>'
],
'query' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/objects/2026-09/quotes/search"
payload := strings.NewReader("{\n \"after\": \"<string>\",\n \"filterGroups\": [\n {\n \"filters\": [\n {\n \"propertyName\": \"<string>\",\n \"highValue\": \"<string>\",\n \"value\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"limit\": 123,\n \"properties\": [\n \"<string>\"\n ],\n \"sorts\": [\n \"<string>\"\n ],\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/objects/2026-09/quotes/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"after\": \"<string>\",\n \"filterGroups\": [\n {\n \"filters\": [\n {\n \"propertyName\": \"<string>\",\n \"highValue\": \"<string>\",\n \"value\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"limit\": 123,\n \"properties\": [\n \"<string>\"\n ],\n \"sorts\": [\n \"<string>\"\n ],\n \"query\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/objects/2026-09/quotes/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"after\": \"<string>\",\n \"filterGroups\": [\n {\n \"filters\": [\n {\n \"propertyName\": \"<string>\",\n \"highValue\": \"<string>\",\n \"value\": \"<string>\",\n \"values\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"limit\": 123,\n \"properties\": [\n \"<string>\"\n ],\n \"sorts\": [\n \"<string>\"\n ],\n \"query\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>",
"warnings": [
{
"category": "<string>",
"context": {},
"message": "<string>"
}
]
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Describe una solicitud de búsqueda
Una cadena que representa el token del cursor de paginación para obtener el siguiente conjunto de resultados.
Un conjunto de grupos de filtros que se usan para especificar los criterios de búsqueda. Cada grupo de filtros contiene un conjunto de filtros que se combinan con un AND lógico.
Show child attributes
Show child attributes
Un número entero que especifica el número máximo de resultados a devolver.
Un conjunto de cadenas que especifican las propiedades que se devolverán en los resultados de búsqueda.
Un conjunto de cadenas que indican los campos y el orden por los que se deben ordenar los resultados de la búsqueda.
Una cadena que representa la consulta de búsqueda que se aplicará a las propiedades especificadas.
Respuesta
successful operation
Representa una lista de objetos simples devueltos de una solicitud a la API, junto con el total de objetos disponibles.
Un conjunto de elementos SimplePublicObject, cada uno de los cuales representa un objeto individual del CRM.
Show child attributes
Show child attributes
El número de resultados disponibles
Representa la información de paginación para navegar por una lista de resultados en la API. Proporciona detalles sobre cómo acceder al conjunto de resultados anterior o siguiente.
Show child attributes
Show child attributes